000010 IDENTIFICATION DIVISION.
000020
000030 PROGRAM-ID.
000040     ERROR-EXAMPLES.
000050
000060 ENVIRONMENT DIVISION.
000070 CONFIGURATION SECTION.
000080 SOURCE-COMPUTER.  RMC-MINI.
000090 OBJECT-COMPUTER.  RMC-MINI.
000100 INPUT-OUTPUT SECTION.
000110 FILE-CONTROL.
000120     SELECT INPUT-FILE
000130         ASSIGN TO INPUT, INPUT-NAME;
000140         FILE STATUS IS INPUT-STATUS.
000150     SELECT OUTPUT-FILE
000160         ASSIGN TO OUTPUT, OUTPUT-NAME;
000170         FILE STATUS IS OUTPUT-STATUS.
000180
000190 DATA DIVISION.
000200 FILE SECTION.
000210 FD  INPUT-FILE
000220     RECORD CONTAINS 80 CHARACTERS
000230     LABEL RECORD IS OMITTED.
000240 01  INPUT-REC.
000250     05  FILLER          PIC  X(06).
000260     05  INPUT-FLD       PIC  X(66).
000270     05  AREA-FLDS       REDEFINES INPUT-FLD.
000280         10  AREA-C      PIC  X(01).
000290         10  AREA-A      PIC  X(04).
000300         10  AREA-B      PIC  X(61).
000310     05  FILLER          PIC  X(08).
000320 FD  OUTPUT-FILE
000330     RECORD CONTAINS 80 CHARACTERS,
000340     LABEL RECORD IS OMITTED.
000350 01  OUTPUT-REC.
000360     05  SEQ-FLD         PIC  9(06).
000370     05  OUTPUT-FLD      PIC  X(66).
000380     05  FILLER          PIC  X(08).
000390 WORKING-STORAGE SECTION.
000400 77  INPUT-NAME          PIC  X(28).
000410 77  OUTPUT-NAME         PIC  X(28).
000420 77  COUNT               PIC  9(06) VALUE 0.
000430 77  LARGE-VALUE         PIC  X(04) VALUE "ERROR".
000440 77  PIC-ERROR           PIC  *(05).*9.
000450 77  INPUT-STATUS        PIC  X(04).
000460 77  OUTPUT-STATUS       PIC  X(02).
000470 01  SEQ-VALUE           PIC  9(06).
000480       /
000490 PROCEDURE DIVISION.
000500 0100.
000510     DISPLAY "COBOL PROGRAM SEQUENCER",
000520         LINE 1 POSITION 30 ERASE.
000530     DISPLAY SPACES LINE 2.
000540     DISPLAY "INPUT FILE:  ".
000550     MOVE 3.5 TO OUTPUT-STATUS.
000560     ACCEPT INPUT-NAME POSITION 0 PROMPT ECHO.
000570     DISPLAY "OUTPUT FILE:  ".
000580     ACCEPT OUTPUT-NAME POSITION 0 PROMPT ECHO.
000590     OPEN INPUT INPUT-FILE.
000600     OPEN OUTPUT OUTPUT-FILE.
000610     MOVE SPACES TO OUTPUT-REC.
000620     MOVE 0 TO SEQ-VALUE.
000630     DISPLAY "SEQUENCING BEGUN".
000640 0200.
000650     READ INPUT-FILE AT END
000660         GO TO 0300.
000670     PERFORM INPUT-CHECK.
000680     ADD 10 TO SEQ-VALUE.
000690     MOVE SEQ-VALUE TO SEQ-FLD.
000700     MOVE INPUT-FLD TO OUTPUT-FLD.
000710     WRITE OUTPUT-REC.